form(nz-form, [formGroup]="form")
  nz-form-item.mb1([nzGutter]="4")
    nz-form-control([nzSpan]="14")
      input(nz-input, type="text", formControlName="displayName", placeholder="Enter output display name")
    nz-form-control([nzSpan]="workflowModule.hasDynamicOutputs ? 8 : 10")
      nz-select(formControlName="type", [nzDropdownMatchSelectWidth]="false")
        nz-option(*ngFor="let type of types", [nzLabel]="type", [nzValue]="type")
    nz-form-control(*ngIf="workflowModule.hasDynamicOutputs", [nzSpan]="2")
      ryax-confirm-button(icon="delete", iconColor="red", tooltipText="Delete output", [disabled]="form.disabled",
        confirmText="Are you sure to delete this output ?", confirmOkText="Delete", (confirmOk)="onDeleteItem()")
  nz-form-item
    nz-form-control([nzSpan]="24")
      textarea(nz-input, rows="2" formControlName="help", placeholder="Enter output help")
